Person (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.cache.query.transaction

## Class Person

- java.lang.Object
- - org.apache.geode.cache.query.transaction.Person

- All Implemented Interfaces:
    java.io.Serializable, DataSerializable

      public class Person
      extends java.lang.Object
      implements DataSerializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.geode.DataSerializable

      `DataSerializable.Replaceable`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `THROW_ON_INDEX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Person()`
    `Person(java.lang.String name, int age)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fromData(java.io.DataInput in)` Reads the state of this object as primitive data from the given `DataInput`.
    `int` | `getAge()`
    `java.lang.String` | `getName()`
    `boolean` | `index()`
    `void` | `setAge(int age)`
    `void` | `setName(java.lang.String name)`
    `void` | `toData(java.io.DataOutput out)` Writes the state of this object as primitive data to the given `DataOutput`.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### THROW_ON_INDEX

          public static boolean THROW_ON_INDEX

  - ### Constructor Detail

    - #### Person

          public Person()

    - #### Person

          public Person(java.lang.String name,
                        int age)

  - ### Method Detail

    - #### setName

          public void setName(java.lang.String name)

    - #### getName

          public java.lang.String getName()

    - #### setAge

          public void setAge(int age)

    - #### getAge

          public int getAge()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### index

          public boolean index()

    - #### toData

          public void toData(java.io.DataOutput out)
                      throws java.io.IOException

      Description copied from interface: `DataSerializable`
      Writes the state of this object as primitive data to the given `DataOutput`.

      Since 5.7 it is possible for any method call to the specified `DataOutput` to throw `GemFireRethrowable`. It should not be caught by user code. If it is it must be rethrown.

      Specified by:
        `toData` in interface `DataSerializable`
      Throws:
        `java.io.IOException` - A problem occurs while writing to `out`

    - #### fromData

          public void fromData(java.io.DataInput in)
                        throws java.io.IOException,
                               java.lang.ClassNotFoundException

      Description copied from interface: `DataSerializable`
      Reads the state of this object as primitive data from the given `DataInput`.
      Specified by:
        `fromData` in interface `DataSerializable`
      Throws:
        `java.io.IOException` - A problem occurs while reading from `in`
        `java.lang.ClassNotFoundException` - A class could not be loaded while reading from `in`